package communication.messages;

/**
 * A message containing initialization information for all of the subsystems
 */
public class InitializeMessage implements Message {
	private static final long serialVersionUID = -2386545360200541825L;

	private int numFloors;
	private int numElevators;
	private int floorMoveTime;
	private int doorOperationDelay;

	public InitializeMessage(int numFloors, int numElevators, int floorMoveTime, int doorOperationDelay) {
		this.numFloors = numFloors;
		this.numElevators = numElevators;
		this.floorMoveTime = floorMoveTime;
		this.doorOperationDelay = doorOperationDelay;
	}

	public int getNumFloors() {
		return numFloors;
	}

	public int getNumElevators() {
		return numElevators;
	}

	public int getFloorMoveTime() {
		return floorMoveTime;
	}

	public int getDoorOperationDelay() {
		return doorOperationDelay;
	}
}
